aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/togglevpn
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2020-04-03 02:16:35 +0300
committerYaroslav <contact@yaroslavps.com>2020-04-03 02:16:35 +0300
commitd001819487e0545ecc0c5b40b70793b8d5828a70 (patch)
tree424c1c17901219babb4d3824bd411d7ea3d0ab76 /dotfiles/.local/bin/togglevpn
parentafb5f74cccf20d38a7170349e173d658178b51ad (diff)
downloadswayrice-d001819487e0545ecc0c5b40b70793b8d5828a70.tar.gz
swayrice-d001819487e0545ecc0c5b40b70793b8d5828a70.zip
even better kbd layout script
Diffstat (limited to 'dotfiles/.local/bin/togglevpn')
-rwxr-xr-xdotfiles/.local/bin/togglevpn6
1 files changed, 3 insertions, 3 deletions
diff --git a/dotfiles/.local/bin/togglevpn b/dotfiles/.local/bin/togglevpn
index 88add47..f4dc1f1 100755
--- a/dotfiles/.local/bin/togglevpn
+++ b/dotfiles/.local/bin/togglevpn
@@ -7,16 +7,16 @@ if [ -f "$HOME/.cache/openvpnpid" ]; then
fi
if [ ! -f "$HOME/.config/ovpn/conf.ovpn" ]; then
- notify-send "🔐 OpenVPN" "Can't start VPN. Configuration file is missing"
+ notify-send " OpenVPN" "Can't start VPN. Configuration file is missing"
exit
fi
sudo openvpn "$HOME/.config/ovpn/conf.ovpn" &
PID=$!
-notify-send "🔐 OpenVPN" "VPN is being initialized"
+notify-send " OpenVPN" "VPN is being initialized"
echo $PID > ~/.cache/openvpnpid
killall -40 waybar
wait $PID
-notify-send "🔐 OpenVPN" "VPN service has stopped with exit code $?"
+notify-send " OpenVPN" "VPN service has stopped with exit code $?"
rm -f ~/.cache/openvpnpid
killall -40 waybar